QT       += core gui serialport printsupport

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11
#CONFIG += console

CONFIG+=precompile_header
PRECOMPILED_HEADER=stable.h

#
VERSION = 1.0.5
# 设置目标文件名，包含版本号
TARGET = DSCAnalysisTool_$${VERSION}

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

include(thirdparty\QtXlsxWriter-0.3.0\src\xlsx\qtxlsx.pri)

SOURCES += \
    data/confighandler.cpp \
    data/filemanager.cpp \
    data/lowesssmoother.cpp \
    data/pointcalculate.cpp \
    data/txthandler.cpp \
    global.cpp \
    logger/logger.cpp \
    ui/aboutform.cpp \
    ui/analysisoperationrecorder.cpp \
    ui/axissettingform.cpp \
    ui/coefficientselectionform.cpp \
    ui/enthalpydatacorrectionform.cpp \
    ui/itemmanager.cpp \
    ui/localcustomplot.cpp \
    ui/printereditform.cpp \
    ui/printpreviewform.cpp \
    ui/rightwidget.cpp \
    thirdparty/easylogging/easylogging++.cc \
    ui/analysissettingform.cpp \
    ui/centralwidget.cpp \
    main.cpp \
    mainwindow.cpp \
    serialport/dataparser.cpp \
    serialport/serialport.cpp \
    thirdparty/qcustomplot/qcustomplot.cpp \
    ui/degreeofcrystallinityform.cpp \
    ui/degreeofcureform.cpp \
    ui/eventhandler.cpp \
    ui/experimentsettingform.cpp \
    ui/instrumentcoefficientform.cpp \
    ui/leftwidget.cpp \
    ui/oitautoanalysisparamform.cpp \
    ui/realtimedataform.cpp \
    ui/specificheatcomparisonmethodform.cpp \
    data/xlsxhandler.cpp

HEADERS += \
    data/confighandler.h \
    data/lowesssmoother.h \
    data/txthandler.h \
    global.h \
    data/filemanager.h \
    data/pointcalculate.h \
    defines.h \
    logger/logger.h \
    ui/aboutform.h \
    ui/analysisoperationrecorder.h \
    ui/axissettingform.h \
    ui/coefficientselectionform.h \
    ui/enthalpydatacorrectionform.h \
    ui/itemmanager.h \
    ui/localcustomplot.h \
    ui/printereditform.h \
    ui/printpreviewform.h \
    ui/rightwidget.h \
    thirdparty/easylogging/easylogging++.h \
    ui/analysissettingform.h \
    ui/centralwidget.h \
    mainwindow.h \
    serialport/dataparser.h \
    serialport/protocol.h \
    serialport/serialport.h \
    thirdparty/qcustomplot/qcustomplot.h \
    ui/degreeofcrystallinityform.h \
    ui/degreeofcureform.h \
    ui/eventhandler.h \
    ui/experimentsettingform.h \
    ui/instrumentcoefficientform.h \
    ui/leftwidget.h \
    ui/oitautoanalysisparamform.h \
    ui/realtimedataform.h \
    ui/specificheatcomparisonmethodform.h \
    data/xlsxhandler.h

FORMS += \
    mainwindow.ui \
    ui/aboutform.ui \
    ui/axissettingform.ui \
    ui/coefficientselectionform.ui \
    ui/degreeofcrystallinityform.ui \
    ui/degreeofcureform.ui \
    ui/enthalpydatacorrectionform.ui \
    ui/experimentsettingform.ui \
    ui/instrumentcoefficientform.ui \
    ui/oitautoanalysisparamform.ui \
    ui/printereditform.ui \
    ui/printpreviewform.ui \
    ui/realtimedataform.ui \
    ui/specificheatcomparisonmethodform.ui

INCLUDEPATH += serialport \
ui \
logger \
thirdparty/easylogging \
thirdparty/qcustomplot \
data \
. \
thirdparty/eigen-3.4.0\Eigen

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    images.qrc

DISTFILES += \
    logger/log.conf

TRANSLATIONS = language/cn.ts \
language/en.ts
